## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without tests

%global srcname urwid

Name:          python-%{srcname}
Version:       3.0.2
Release:       %autorelease
Summary:       Console user interface library

# examples/twisted_serve_ssh.py is MIT
License:       LGPL-2.1-or-later AND MIT
URL:           http://excess.org/urwid/
Source0:       %{pypi_source urwid}

BuildArch:     noarch

%global _description\
Urwid is a Python library for making text console applications.  It has\
many features including fluid interface resizing, support for UTF-8 and\
CJK encodings, standard and custom text layout modes, simple markup for\
setting text attributes, and a powerful, dynamic list box that handles a\
mix of widget types.  It is flexible, modular, and leaves the developer in\
control.

%description %_description

%package -n python3-%{srcname}
Summary: %summary
%{?python_provide:%python_provide python3-urwid}
BuildRequires: python3-devel
BuildRequires: python3-pytest

%description -n python3-%{srcname} %_description

%generate_buildrequires
%pyproject_buildrequires

%prep
%autosetup -n %{srcname}-%{version}
sed -i -e 's/--cov=urwid//' pyproject.toml
find urwid -type f -name "*.py" -exec sed -i -e '/^#!\//, 1d' {} \;
find urwid -type f -name "*.py" -exec chmod 644 {} \;

%build
%pyproject_wheel
find examples -type f -exec chmod 0644 \{\} \;

%check
%if %{with tests}
%pytest tests/
%endif

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{srcname} -f %{pyproject_files}
%license COPYING
%doc README.rst examples docs

%changelog
## START: Generated by rpmautospec
* Wed May 07 2025 Packit <hello@packit.dev> - 3.0.2-1
- Update to 3.0.2 upstream release
- Resolves: rhbz#2364420

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Oct 15 2024 Packit <hello@packit.dev> - 2.6.16-1
- Update to 2.6.16 upstream release
- Resolves: rhbz#2295585

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jun 12 2024 Packit <hello@packit.dev> - 2.6.14-1
- Update to 2.6.14 upstream release
- Resolves: rhbz#2276347

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 2.6.10-2
- Rebuilt for Python 3.13

* Mon Mar 25 2024 Packit <hello@packit.dev> - 2.6.10-1
- [packit] 2.6.10 upstream release
- Resolves rhbz#2271365

* Wed Mar 13 2024 Packit <hello@packit.dev> - 2.6.9-1
- [packit] 2.6.9 upstream release
- Resolves rhbz#2269365

* Mon Mar 04 2024 Packit <hello@packit.dev> - 2.6.8-1
- [packit] 2.6.8 upstream release
- Resolves rhbz#2267628

* Wed Feb 28 2024 Packit <hello@packit.dev> - 2.6.7-1
- [packit] 2.6.7 upstream release
- Resolves rhbz#2266429

* Wed Feb 28 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 2.6.5-7
- Avoid pytest-cov and tox dependencies

* Wed Feb 28 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 2.6.5-6
- Make package noarch

* Tue Feb 27 2024 Tomas Tomecek <ttomecek@redhat.com> - 2.6.5-5
- tests require pytest-cov

* Tue Feb 27 2024 Tomas Tomecek <ttomecek@redhat.com> - 2.6.5-4
- testing: install both pytest and tox

* Tue Feb 27 2024 Tomas Tomecek <ttomecek@redhat.com> - 2.6.5-3
- %%check: use pytest instead of tox

* Tue Feb 27 2024 Tomas Tomecek <ttomecek@redhat.com> - 2.6.5-2
- disable -debug packages, there are none

* Tue Feb 27 2024 Tomas Tomecek <ttomecek@redhat.com> - 2.6.5-1
- 2.6.5

* Mon Feb 26 2024 Tomas Tomecek <ttomecek@redhat.com> - 2.6.4-2
- modernize spec: use %%pyproject* macros

* Thu Feb 22 2024 Packit <hello@packit.dev> - 2.6.4-1
- [packit] 2.6.4 upstream release
- Resolves rhbz#2264538

* Thu Feb 22 2024 Tomas Tomecek <ttomecek@redhat.com> - 2.5.3-3
- packit: exclude *-docs tags in updates

* Tue Feb 13 2024 Tomas Tomecek <ttomecek@fedoraproject.org> - 2.5.3-2
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
